FileMonitor (Mule ESB 2.2.1 API)
Keywords: org.mule.util.monitor.FileMonitor class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.util.monitor
Class FileMonitor

    java.lang.Object
      org.mule.util.monitor.FileMonitor

    public class FileMonitor

extends Object

Class for monitoring changes in disk files. Usage: 1. Implement the FileListener interface. 2. Create a FileMonitor instance. 3. Add the file(s)/directory(ies) to listen for. fileChanged() will be called when a monitored file is created, deleted or its modified time changes.

Nested Class Summary
`class` | `FileMonitor.FileMonitorNotifier` This is the timer thread which is executed every n milliseconds according to the setting of the file monitor.

Constructor Summary
`FileMonitor(long pollingInterval)` Create a file monitor instance with specified polling interval.

Method Summary
`void` | `addFile(File file)` Add file to listen for.
`void` | `addListener(FileListener fileListener)` Add listener to this file monitor.
`void` | `removeFile(File file)` Remove specified file for listening.
`void` | `removeListener(FileMonitor fileListener)` Remove listener from this file monitor.
`void` | `start()`
`void` | `stop()` Stop the file monitor polling.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileMonitor

    public FileMonitor(long pollingInterval)

  Create a file monitor instance with specified polling interval.

  Parameters:
    `pollingInterval` - Polling interval in milli seconds.

Method Detail

### stop

    public void stop()

  Stop the file monitor polling.

### start

    public void start()

### addFile

    public void addFile(File file)

  Add file to listen for. File may be any java.io.File (including a directory) and may well be a non-existing file in the case where the creating of the file is to be trepped.

  More than one file can be listened for. When the specified file is created, modified or deleted, listeners are notified.

  Parameters:
    `file` - File to listen for.

### removeFile

    public void removeFile(File file)

  Remove specified file for listening.

  Parameters:
    `file` - File to remove.

### addListener

    public void addListener(FileListener fileListener)

  Add listener to this file monitor.

  Parameters:
    `fileListener` - Listener to add.

### removeListener

    public void removeListener(FileMonitor fileListener)

  Remove listener from this file monitor.

  Parameters:
    `fileListener` - Listener to remove.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.